Magick++ 6.9.6

Static Public Member Functions | List of all members
Magick::ResourceLimits Class Reference

`#include <ResourceLimits.h>`

## Static Public Member Functions
static void | area (const MagickSizeType limit_)
static MagickSizeType | area (void)
static void | disk (const MagickSizeType limit_)
static MagickSizeType | disk (void)
static void | file (const MagickSizeType limit_)
static MagickSizeType | file (void)
static void | height (const MagickSizeType limit_)
static MagickSizeType | height (void)
static void | listLength (const MagickSizeType limit_)
static MagickSizeType | listLength ()
static void | map (const MagickSizeType limit_)
static MagickSizeType | map (void)
static void | memory (const MagickSizeType limit_)
static MagickSizeType | memory (void)
static void | thread (const MagickSizeType limit_)
static MagickSizeType | thread (void)
static void | throttle (const MagickSizeType limit_)
static MagickSizeType | throttle (void)
static void | width (const MagickSizeType limit_)
static MagickSizeType | width (void)

## Detailed Description

Definition at line 15 of file ResourceLimits.h.

## Member Function Documentation

void Magick::ResourceLimits::area | ( | const MagickSizeType | limit_ | ) |
| static

Definition at line 13 of file ResourceLimits.cpp.

MagickCore::MagickSizeType Magick::ResourceLimits::area | ( | void |  | ) |
| static

Definition at line 18 of file ResourceLimits.cpp.

void Magick::ResourceLimits::disk | ( | const MagickSizeType | limit_ | ) |
| static

Definition at line 23 of file ResourceLimits.cpp.

MagickCore::MagickSizeType Magick::ResourceLimits::disk | ( | void |  | ) |
| static

Definition at line 28 of file ResourceLimits.cpp.

void Magick::ResourceLimits::file | ( | const MagickSizeType | limit_ | ) |
| static

Definition at line 33 of file ResourceLimits.cpp.

MagickCore::MagickSizeType Magick::ResourceLimits::file | ( | void |  | ) |
| static

Definition at line 38 of file ResourceLimits.cpp.

void Magick::ResourceLimits::height | ( | const MagickSizeType | limit_ | ) |
| static

Definition at line 43 of file ResourceLimits.cpp.

MagickCore::MagickSizeType Magick::ResourceLimits::height | ( | void |  | ) |
| static

Definition at line 48 of file ResourceLimits.cpp.

void Magick::ResourceLimits::listLength | ( | const MagickSizeType | limit_ | ) |
| static

Definition at line 53 of file ResourceLimits.cpp.

MagickCore::MagickSizeType Magick::ResourceLimits::listLength | ( | void |  | ) |
| static

Definition at line 58 of file ResourceLimits.cpp.

void Magick::ResourceLimits::map | ( | const MagickSizeType | limit_ | ) |
| static

Definition at line 63 of file ResourceLimits.cpp.

MagickCore::MagickSizeType Magick::ResourceLimits::map | ( | void |  | ) |
| static

Definition at line 68 of file ResourceLimits.cpp.

void Magick::ResourceLimits::memory | ( | const MagickSizeType | limit_ | ) |
| static

Definition at line 73 of file ResourceLimits.cpp.

MagickCore::MagickSizeType Magick::ResourceLimits::memory | ( | void |  | ) |
| static

Definition at line 78 of file ResourceLimits.cpp.

Referenced by Magick::Image::cacheThreshold().

void Magick::ResourceLimits::thread | ( | const MagickSizeType | limit_ | ) |
| static

Definition at line 83 of file ResourceLimits.cpp.

MagickCore::MagickSizeType Magick::ResourceLimits::thread | ( | void |  | ) |
| static

Definition at line 88 of file ResourceLimits.cpp.

void Magick::ResourceLimits::throttle | ( | const MagickSizeType | limit_ | ) |
| static

Definition at line 93 of file ResourceLimits.cpp.

MagickCore::MagickSizeType Magick::ResourceLimits::throttle | ( | void |  | ) |
| static

Definition at line 98 of file ResourceLimits.cpp.

void Magick::ResourceLimits::width | ( | const MagickSizeType | limit_ | ) |
| static

Definition at line 103 of file ResourceLimits.cpp.

MagickCore::MagickSizeType Magick::ResourceLimits::width | ( | void |  | ) |
| static

Definition at line 108 of file ResourceLimits.cpp.

The documentation for this class was generated from the following files:

- ResourceLimits.h
- ResourceLimits.cpp